<?php namespace App\ViewModels\PreAgendamento\PreAgendamentoUpdateViewModel;

use App\Utils\Builder;

class PreAgendamentoUpdateViewModelBuilder implements Builder
{

    protected $nome;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : PreAgendamentoUpdateViewModel
    {
        $pre_agendamento_update_vm = new PreAgendamentoUpdateViewModel();
        $pre_agendamento_update_vm->setNome($this->nome);

        return $pre_agendamento_update_vm;
    }
}